import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int n = inf.nextInt();
        int m = inf.nextInt();
        for (int i = 1; i <= m; ++i) {
            long cAns = ouf.nextLong();
            long jAns = ans.nextLong();
            if (cAns != jAns)
                return new Outcome(Type.WA, String.format("Contestant answer is wrong on query #" + i + ": expected = %d, found = %d", jAns, cAns));

        }
        return new Outcome(Type.OK, "Jury has same answer");
    }
}

