#include <iostream>
#include <cassert>
#include <algorithm>
#include <cstring>
using namespace std;
typedef long long ll;
#define TASK "queries"
const int N = 1e5 + 10;
const int M = 1e9;
int a[N];

int substitute(string q, int num) {
    int res = 0;
    for (int i = 0; i < q.size(); ++i)
        if (q[i] == '?') {
            res = res * 10 + num % 10;
            num /= 10;
        } else
            res = res * 10 + q[i] - '0';
    return res;
}

char s[12];
int main() {
    freopen(TASK".in", "r", stdin);
    freopen(TASK".out", "w", stdout);
    int n, m;
    cin >> n >> m;
    assert(n <= N && m <= N);
    for (int i = 0; i < n; ++i) {
        int x;
        scanf("%d", &x);
        assert(x < M);
        a[i] = x;
    }
    sort(a, a + n);
    for (int i = 0; i < m; ++i) {
        scanf("%s", s);
        int len = strlen(s);
        int k = 0;
		long long ans = 0;
        for (int j = 0; j < len; ++j)
            k += s[j] == '?';
        assert(k <= 1);

        int pw = 1;
        for (int p = 1; p <= k; ++p) pw *= 10;
        for (int num = 0; num < pw; ++num)
            ans += a + n - upper_bound(a, a + n, substitute(s, num) - 1);
        cout << ans << endl;
    }
    return 0;
}
